<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfWebSiparisSaveUrun ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfWebSiparisSaveUrun
 * @subpackage Arrays
 */
class ArrayOfWebSiparisSaveUrun extends AbstractStructArrayBase
{
    /**
     * The WebSiparisSaveUrun
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\WebSiparisSaveUrun[]
     */
    public $WebSiparisSaveUrun;
    /**
     * Constructor method for ArrayOfWebSiparisSaveUrun
     * @uses ArrayOfWebSiparisSaveUrun::setWebSiparisSaveUrun()
     * @param \StructType\WebSiparisSaveUrun[] $webSiparisSaveUrun
     */
    public function __construct(array $webSiparisSaveUrun = array())
    {
        $this
            ->setWebSiparisSaveUrun($webSiparisSaveUrun);
    }
    /**
     * Get WebSiparisSaveUrun value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\WebSiparisSaveUrun[]|null
     */
    public function getWebSiparisSaveUrun()
    {
        return isset($this->WebSiparisSaveUrun) ? $this->WebSiparisSaveUrun : null;
    }
    /**
     * This method is responsible for validating the values passed to the setWebSiparisSaveUrun method
     * This method is willingly generated in order to preserve the one-line inline validation within the setWebSiparisSaveUrun method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateWebSiparisSaveUrunForArrayConstraintsFromSetWebSiparisSaveUrun(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfWebSiparisSaveUrunWebSiparisSaveUrunItem) {
            // validation for constraint: itemType
            if (!$arrayOfWebSiparisSaveUrunWebSiparisSaveUrunItem instanceof \StructType\WebSiparisSaveUrun) {
                $invalidValues[] = is_object($arrayOfWebSiparisSaveUrunWebSiparisSaveUrunItem) ? get_class($arrayOfWebSiparisSaveUrunWebSiparisSaveUrunItem) : sprintf('%s(%s)', gettype($arrayOfWebSiparisSaveUrunWebSiparisSaveUrunItem), var_export($arrayOfWebSiparisSaveUrunWebSiparisSaveUrunItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The WebSiparisSaveUrun property can only contain items of type \StructType\WebSiparisSaveUrun, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set WebSiparisSaveUrun value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\WebSiparisSaveUrun[] $webSiparisSaveUrun
     * @return \ArrayType\ArrayOfWebSiparisSaveUrun
     */
    public function setWebSiparisSaveUrun(array $webSiparisSaveUrun = array())
    {
        // validation for constraint: array
        if ('' !== ($webSiparisSaveUrunArrayErrorMessage = self::validateWebSiparisSaveUrunForArrayConstraintsFromSetWebSiparisSaveUrun($webSiparisSaveUrun))) {
            throw new \InvalidArgumentException($webSiparisSaveUrunArrayErrorMessage, __LINE__);
        }
        if (is_null($webSiparisSaveUrun) || (is_array($webSiparisSaveUrun) && empty($webSiparisSaveUrun))) {
            unset($this->WebSiparisSaveUrun);
        } else {
            $this->WebSiparisSaveUrun = $webSiparisSaveUrun;
        }
        return $this;
    }
    /**
     * Add item to WebSiparisSaveUrun value
     * @throws \InvalidArgumentException
     * @param \StructType\WebSiparisSaveUrun $item
     * @return \ArrayType\ArrayOfWebSiparisSaveUrun
     */
    public function addToWebSiparisSaveUrun(\StructType\WebSiparisSaveUrun $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\WebSiparisSaveUrun) {
            throw new \InvalidArgumentException(sprintf('The WebSiparisSaveUrun property can only contain items of type \StructType\WebSiparisSaveUrun, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->WebSiparisSaveUrun[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\WebSiparisSaveUrun|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\WebSiparisSaveUrun|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\WebSiparisSaveUrun|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\WebSiparisSaveUrun|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\WebSiparisSaveUrun|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string WebSiparisSaveUrun
     */
    public function getAttributeName()
    {
        return 'WebSiparisSaveUrun';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\ArrayOfWebSiparisSaveUrun
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
