<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Select ServiceType
 * @subpackage Services
 */
class Select extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named SelectSiparis
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparis $parameters
     * @return \StructType\SelectSiparisResponse|bool
     */
    public function SelectSiparis(\StructType\SelectSiparis $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparis($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisOdeme
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisOdeme $parameters
     * @return \StructType\SelectSiparisOdemeResponse|bool
     */
    public function SelectSiparisOdeme(\StructType\SelectSiparisOdeme $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisOdeme($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectCariOdeme
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectCariOdeme $parameters
     * @return \StructType\SelectCariOdemeResponse|bool
     */
    public function SelectCariOdeme(\StructType\SelectCariOdeme $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectCariOdeme($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisUrun
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisUrun $parameters
     * @return \StructType\SelectSiparisUrunResponse|bool
     */
    public function SelectSiparisUrun(\StructType\SelectSiparisUrun $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisUrun($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisKampanya
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisKampanya $parameters
     * @return \StructType\SelectSiparisKampanyaResponse|bool
     */
    public function SelectSiparisKampanya(\StructType\SelectSiparisKampanya $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisKampanya($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSepet
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSepet $parameters
     * @return \StructType\SelectSepetResponse|bool
     */
    public function SelectSepet(\StructType\SelectSepet $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSepet($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisUrunDurumlari
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisUrunDurumlari $parameters
     * @return \StructType\SelectSiparisUrunDurumlariResponse|bool
     */
    public function SelectSiparisUrunDurumlari(\StructType\SelectSiparisUrunDurumlari $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisUrunDurumlari($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectSiparisKargoPaket
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectSiparisKargoPaket $parameters
     * @return \StructType\SelectSiparisKargoPaketResponse|bool
     */
    public function SelectSiparisKargoPaket(\StructType\SelectSiparisKargoPaket $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectSiparisKargoPaket($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named SelectWebSepet
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\SelectWebSepet $parameters
     * @return \StructType\SelectWebSepetResponse|bool
     */
    public function SelectWebSepet(\StructType\SelectWebSepet $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->SelectWebSepet($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\SelectCariOdemeResponse|\StructType\SelectSepetResponse|\StructType\SelectSiparisKampanyaResponse|\StructType\SelectSiparisKargoPaketResponse|\StructType\SelectSiparisOdemeResponse|\StructType\SelectSiparisResponse|\StructType\SelectSiparisUrunDurumlariResponse|\StructType\SelectSiparisUrunResponse|\StructType\SelectWebSepetResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
