<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SelectWebSepetRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SelectWebSepetRequest
 * @subpackage Structs
 */
class SelectWebSepetRequest extends AbstractStructBase
{
    /**
     * The Dil
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Dil;
    /**
     * The ParaBirimi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ParaBirimi;
    /**
     * The SepetId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SepetId;
    /**
     * The UyeId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $UyeId;
    /**
     * Constructor method for SelectWebSepetRequest
     * @uses SelectWebSepetRequest::setDil()
     * @uses SelectWebSepetRequest::setParaBirimi()
     * @uses SelectWebSepetRequest::setSepetId()
     * @uses SelectWebSepetRequest::setUyeId()
     * @param string $dil
     * @param string $paraBirimi
     * @param int $sepetId
     * @param int $uyeId
     */
    public function __construct($dil = null, $paraBirimi = null, $sepetId = null, $uyeId = null)
    {
        $this
            ->setDil($dil)
            ->setParaBirimi($paraBirimi)
            ->setSepetId($sepetId)
            ->setUyeId($uyeId);
    }
    /**
     * Get Dil value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDil()
    {
        return isset($this->Dil) ? $this->Dil : null;
    }
    /**
     * Set Dil value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dil
     * @return \StructType\SelectWebSepetRequest
     */
    public function setDil($dil = null)
    {
        // validation for constraint: string
        if (!is_null($dil) && !is_string($dil)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($dil, true), gettype($dil)), __LINE__);
        }
        if (is_null($dil) || (is_array($dil) && empty($dil))) {
            unset($this->Dil);
        } else {
            $this->Dil = $dil;
        }
        return $this;
    }
    /**
     * Get ParaBirimi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getParaBirimi()
    {
        return isset($this->ParaBirimi) ? $this->ParaBirimi : null;
    }
    /**
     * Set ParaBirimi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $paraBirimi
     * @return \StructType\SelectWebSepetRequest
     */
    public function setParaBirimi($paraBirimi = null)
    {
        // validation for constraint: string
        if (!is_null($paraBirimi) && !is_string($paraBirimi)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($paraBirimi, true), gettype($paraBirimi)), __LINE__);
        }
        if (is_null($paraBirimi) || (is_array($paraBirimi) && empty($paraBirimi))) {
            unset($this->ParaBirimi);
        } else {
            $this->ParaBirimi = $paraBirimi;
        }
        return $this;
    }
    /**
     * Get SepetId value
     * @return int|null
     */
    public function getSepetId()
    {
        return $this->SepetId;
    }
    /**
     * Set SepetId value
     * @param int $sepetId
     * @return \StructType\SelectWebSepetRequest
     */
    public function setSepetId($sepetId = null)
    {
        // validation for constraint: int
        if (!is_null($sepetId) && !(is_int($sepetId) || ctype_digit($sepetId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sepetId, true), gettype($sepetId)), __LINE__);
        }
        $this->SepetId = $sepetId;
        return $this;
    }
    /**
     * Get UyeId value
     * @return int|null
     */
    public function getUyeId()
    {
        return $this->UyeId;
    }
    /**
     * Set UyeId value
     * @param int $uyeId
     * @return \StructType\SelectWebSepetRequest
     */
    public function setUyeId($uyeId = null)
    {
        // validation for constraint: int
        if (!is_null($uyeId) && !(is_int($uyeId) || ctype_digit($uyeId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($uyeId, true), gettype($uyeId)), __LINE__);
        }
        $this->UyeId = $uyeId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SelectWebSepetRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
