<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SetSiparisPaketlemeDurum StructType
 * @subpackage Structs
 */
class SetSiparisPaketlemeDurum extends AbstractStructBase
{
    /**
     * The UyeKodu
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $UyeKodu;
    /**
     * The SiparisId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $SiparisId;
    /**
     * The PaketlemeDurumId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $PaketlemeDurumId;
    /**
     * Constructor method for SetSiparisPaketlemeDurum
     * @uses SetSiparisPaketlemeDurum::setUyeKodu()
     * @uses SetSiparisPaketlemeDurum::setSiparisId()
     * @uses SetSiparisPaketlemeDurum::setPaketlemeDurumId()
     * @param string $uyeKodu
     * @param int $siparisId
     * @param int $paketlemeDurumId
     */
    public function __construct($uyeKodu = null, $siparisId = null, $paketlemeDurumId = null)
    {
        $this
            ->setUyeKodu($uyeKodu)
            ->setSiparisId($siparisId)
            ->setPaketlemeDurumId($paketlemeDurumId);
    }
    /**
     * Get UyeKodu value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getUyeKodu()
    {
        return isset($this->UyeKodu) ? $this->UyeKodu : null;
    }
    /**
     * Set UyeKodu value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $uyeKodu
     * @return \StructType\SetSiparisPaketlemeDurum
     */
    public function setUyeKodu($uyeKodu = null)
    {
        // validation for constraint: string
        if (!is_null($uyeKodu) && !is_string($uyeKodu)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($uyeKodu, true), gettype($uyeKodu)), __LINE__);
        }
        if (is_null($uyeKodu) || (is_array($uyeKodu) && empty($uyeKodu))) {
            unset($this->UyeKodu);
        } else {
            $this->UyeKodu = $uyeKodu;
        }
        return $this;
    }
    /**
     * Get SiparisId value
     * @return int|null
     */
    public function getSiparisId()
    {
        return $this->SiparisId;
    }
    /**
     * Set SiparisId value
     * @param int $siparisId
     * @return \StructType\SetSiparisPaketlemeDurum
     */
    public function setSiparisId($siparisId = null)
    {
        // validation for constraint: int
        if (!is_null($siparisId) && !(is_int($siparisId) || ctype_digit($siparisId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($siparisId, true), gettype($siparisId)), __LINE__);
        }
        $this->SiparisId = $siparisId;
        return $this;
    }
    /**
     * Get PaketlemeDurumId value
     * @return int|null
     */
    public function getPaketlemeDurumId()
    {
        return $this->PaketlemeDurumId;
    }
    /**
     * Set PaketlemeDurumId value
     * @param int $paketlemeDurumId
     * @return \StructType\SetSiparisPaketlemeDurum
     */
    public function setPaketlemeDurumId($paketlemeDurumId = null)
    {
        // validation for constraint: int
        if (!is_null($paketlemeDurumId) && !(is_int($paketlemeDurumId) || ctype_digit($paketlemeDurumId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($paketlemeDurumId, true), gettype($paketlemeDurumId)), __LINE__);
        }
        $this->PaketlemeDurumId = $paketlemeDurumId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\SetSiparisPaketlemeDurum
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
